info.bioinfweb.jphyloio.events

## Class LabeledEvent

- java.lang.Object
- - info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent
  - - info.bioinfweb.jphyloio.events.LabeledEvent

- All Implemented Interfaces:
    JPhyloIOEvent
  Direct Known Subclasses:
    LabeledIDEvent, SingleSequenceTokenEvent

      public class LabeledEvent
      extends ConcreteJPhyloIOEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LabeledEvent(EventContentType contentType, java.lang.String label)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel()` A text label associated with the data element represented by this event.
    `boolean` | `hasLabel()` Indicates whether the modeled data element carries a label.

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent

      `asCharacterDefinitionEvent, asCharacterSetIntervalEvent, asCommentEvent, asEdgeEvent, asLabeledIDEvent, asLinkedLabeledIDEvent, asLiteralMetadataContentEvent, asLiteralMetadataEvent, asNodeEvent, asPartEndEvent, asResourceMetadataEvent, asSequenceTokensEvent, asSetElementEvent, asSingleSequenceTokenEvent, asSingleTokenDefinitionEvent, asTokenSetDefinitionEvent, asUnknownCommandEvent, createEndEvent, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LabeledEvent

          public LabeledEvent(EventContentType contentType,
                              java.lang.String label)

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel()

      A text label associated with the data element represented by this event.

      Note that additional annotations of that object may be specified by nested metaevents, even if this event carries no label.

      Returns:
        the labeling text or `null`, if no label was specified for the modeled object

    - #### hasLabel

          public boolean hasLabel()

      Indicates whether the modeled data element carries a label.
      Returns:
        `true` if the data element carries a label, `false` otherwise.